.\"                                      Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.TH ERIC7_API 1 "January  31, 2010"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
eric7_api \- eric7 API generator
.SH SYNOPSIS
.B eric7_api
.RI [ options ] " files" ...

where files can be be either Python modules, package directories or ordinary directories.
.SH DESCRIPTION
This manual page documents briefly the
.B eric7_api
command.
This manual page was written for the Debian distribution
because the original program does not have a manual page.
.PP
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBeric7_api\fP scans Python source code to generate API descriptions files which are
used to as tooltips and autocompletion suggestions by the QScintilla editor widget in
eric7.
.SH OPTIONS
These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
For a complete description, see the Info files.
.TP
.B \-b name or \-\-base name
Use the given name as the name of the base package.
.TP
.B \-h or \-\-help
Show this help and exit.
.TP
.B \-o filename or \-\-output\=filename
Write the API information to the named file. A '%L' placeholder
is replaced by the language of the API file (see \-\-language).
.TP
.B \-\-oldstyle
Generate API files for QScintilla prior to 1.7.
.TP
.B \-p or \-\-private
Include private methods and functions.
.TP
.B \-R, \-r or \-\-recursive
Perform a recursive search for Python files.
.TP
.B \-t ext or \-\-extension = ext
Add the given extension to the list of file extensions.
This option may be given multiple times.
.TP
.B \-V or \-\-version
Show version information and exit.
.TP
.B \-x directory or \-\-exclude=directory
Specify a directory basename to be excluded.
This option may be repeated multiple times.
.TP
.B \-\-exclude\-file=pattern
Specify a filename pattern of files to be excluded.
This option may be repeated multiple times.
.TP
.B \-l language or \-\-language=language
Generate an API file for the given programming language.
Supported programming languages are:
    * Python
    * Python3
    * Ruby
The default is 'Python'.
This option may be repeated multiple times.

.SH SEE ALSO
.BR eric7_ide (1),
.BR eric7_api (1),
.BR eric7_browser (1),
.BR eric7_compare (1),
.BR eric7_configure (1),
.BR eric7_diff (1),
.BR eric7_doc (1),
.BR eric7_editor (1),
.BR eric7_fido2.1 (1),
.BR eric7_hexeditor (1),
.BR eric7_iconeditor (1),
.BR eric7_mpy (1),
.BR eric7_pdf (1),
.BR eric7_pip (1),
.BR eric7_plugininstall (1),
.BR eric7_pluginrepository (1),
.BR eric7_pluginuninstall (1),
.BR eric7_qregularexpression (1),
.BR eric7_re (1),
.BR eric7_shell (1),
.BR eric7_snap (1),
.BR eric7_sqlbrowser (1),
.BR eric7_testing (1),
.BR eric7_tray (1),
.BR eric7_trpreviewer (1),
.BR eric7_uipreviewer (1),
.BR eric7_virtualenv (1),
.br
.SH AUTHOR
eric7_api was written by Detlev Offenbach.
.PP
.SH AUTHOR
This manual page was written by Torsten Marek <shlomme@gmx.net>,
for the Debian project (but may be used by others).
